@echo off

Rem SEQUOIA_HOME definition
if exist %SEQUOIA_HOME% goto begin
echo "Cannot find Sequoia home directory. Please set the SEQUOIA_HOME environment variable."
goto end

:begin

:java
Rem JAVA setup.
Rem
Rem We try to use first the java JVM in JAVA_HOME and if not found, 
Rem we use the one found in the path.
Rem You can specify additional options to give to the Java JVM in the
Rem JVM_OPTIONS environment variable.
SET JAVA=java
if not exist %JAVA_HOME%\bin\java goto definition
SET JAVA=%JAVA_HOME%\bin\java

:definition

SET SEQUOIA_CONFIG=%SEQUOIA_HOME%\config
SET SEQUOIA_LOG=%SEQUOIA_HOME%\log
SET SEQUOIA_DEFAULT_JVMDEBUG_PORT=51001

Rem IPv6 is untested
SET JVM_OPTIONS=%JVM_OPTIONS% -Djava.net.preferIPv4Stack=true

Rem Uncomment to debug
Rem SET JVM_OPTIONS=%JVM_OPTIONS% -enableassertions -Xdebug -Xnoagent -Djava.compiler=none -Xrunjdwp:transport=dt_socket,server=y,suspend=n,address=%SEQUOIA_DEFAULT_JVMDEBUG_PORT%

:classpath
Rem Set the classpath.
SET CLASSPATH=;%SEQUOIA_HOME%\lib\octopus\Octopus.jar;%SEQUOIA_HOME%\lib\octopus\OctopusGenerator.jar;%SEQUOIA_HOME%\lib\octopus\csvjdbc.jar;%SEQUOIA_HOME%\lib\sequoia-controller.jar;%SEQUOIA_HOME%\lib\sequoia-backend.jar;%SEQUOIA_HOME%\lib\sequoia-backupers.jar;%SEQUOIA_HOME%\lib\sequoia-cache.jar;%SEQUOIA_HOME%\lib\sequoia-commons.jar;%SEQUOIA_HOME%\lib\sequoia-jmx.jar;%SEQUOIA_HOME%\lib\sequoia-sql.jar;%SEQUOIA_HOME%\lib\octopus;%SEQUOIA_HOME%\drivers;%SEQUOIA_HOME%\lib\hedera-commons.jar;%SEQUOIA_HOME%\lib\hedera-jgroups.jar;%SEQUOIA_HOME%\lib\hedera-appia.jar;%SEQUOIA_HOME%\lib\appia.jar;%SEQUOIA_HOME%\lib\jgroups-core.jar;%SEQUOIA_HOME%\lib\concurrent.jar;%SEQUOIA_HOME%\lib\commons-logging.jar;%SEQUOIA_HOME%\lib\dom4j-1.6.1.jar;%SEQUOIA_HOME%\lib\jaxen-1.1-beta-8.jar;%SEQUOIA_HOME%\lib\log4j.jar;%SEQUOIA_HOME%\lib\activation.jar;%SEQUOIA_HOME%\lib\mail.jar;%SEQUOIA_HOME%\lib\commons-cli.jar;%SEQUOIA_HOME%\lib\jmx\mx4j.jar;%SEQUOIA_HOME%\lib\jmx\mx4j-remote.jar;%SEQUOIA_HOME%\lib\jmx\mx4j-tools.jar;%SEQUOIA_HOME%\xml;%SEQUOIA_HOME%\lib\crimson.jar;%SEQUOIA_HOME%\lib\xml-apis.jar;%SEQUOIA_CONFIG%\controller;%SEQUOIA_CONFIG%\virtualdatabase;%SEQUOIA_CONFIG%\;%CLASSPATH_XTRA%



Rem Change directory if needed


Rem Java Command.
%JAVA% %JVM_OPTIONS%  -Dsequoia.home=%SEQUOIA_HOME%  -Dsequoia.log=%SEQUOIA_LOG%  -Djava.security.policy=%SEQUOIA_CONFIG%\java.policy  -classpath %CLASSPATH% org.continuent.sequoia.controller.core.Controller  %1 %2 %3 %4 %5 %6 %7 %8 %9

:end
