#!/bin/sh

if [ -z "$SEQUOIA_HOME" ] ; then 
  echo "Cannot find Sequoia home directory. Please set the SEQUOIA_HOME environment variable."
  exit 1
fi

# Add hsqldb.jar in the classpath for Octopus backup/restore
export CLASSPATH_XTRA=$SEQUOIA_HOME/drivers/hsqldb.jar

cd $SEQUOIA_HOME/demo

echo " ***************************************** "
echo " ***************************************** "
echo " ********  Starting controller 1  ******** "
echo " ***************************************** "
echo " ***************************************** "
./demo-distributed-raidb1-controller1.sh

sleep 6

echo " ***************************************** "
echo " ***************************************** "
echo " ********  Starting controller 2  ******** "
echo " ***************************************** "
echo " ***************************************** "
./demo-distributed-raidb1-controller2.sh

sleep 10

echo " ********************************************* "
echo " ********************************************* "
echo " ********  Initializing controller 1  ******** "
echo " ********************************************* "
echo " ********************************************* "
../bin/console.sh -p 1090 -f init_controller1.script

echo " ********************************************* "
echo " ********************************************* "
echo " ********  Initializing controller 2  ******** "
echo " ********************************************* "
echo " ********************************************* "
../bin/console.sh -p 1091 -f init_controller2.script

echo " ********************************************* "
echo " ********************************************* "
echo " *** Executing queries against the cluster *** "
echo " ********************************************* "
echo " ********************************************* "
../bin/console.sh -p 1090 -f sql_test.script
